# Class SceProvider

- Defined in src/core/sce/sce.js:571

##### Index

### Constructors

constructor

### Properties

$get
enabled

## Constructors

### constructor

- new SceProvider(): SceProvider

  #### Returns SceProvider

  - Defined in src/core/sce/sce.js:571

## Properties

### $get

$get: (
| string
| (($parse: any, $sceDelegate: any, $exceptionHandler: any) => any)
)[]

- Defined in src/core/sce/sce.js:588

### enabled

enabled: (value: boolean, ...args: any) => boolean

#### Type declaration

- - (value: boolean, ...args: any): boolean

  - #### Parameters

    - value: boolean

      If provided, then enables/disables SCE application-wide.

    - ...args: any

    #### Returns boolean

    True if SCE is enabled, false otherwise.

#### Description

Enables/disables SCE and returns the current value.

- Defined in src/core/sce/sce.js:581